package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyLawArchivesAttachment;
import com.ruoyi.system.domain.grid.GridCompanyLawArchivesAttachmentExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyLawArchivesAttachmentMapper {
    long countByExample(GridCompanyLawArchivesAttachmentExample example);

    int deleteByExample(GridCompanyLawArchivesAttachmentExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyLawArchivesAttachment record);

    int insertSelective(GridCompanyLawArchivesAttachment record);

    List<GridCompanyLawArchivesAttachment> selectByExample(GridCompanyLawArchivesAttachmentExample example);

    GridCompanyLawArchivesAttachment selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyLawArchivesAttachment record, @Param("example") GridCompanyLawArchivesAttachmentExample example);

    int updateByExample(@Param("record") GridCompanyLawArchivesAttachment record, @Param("example") GridCompanyLawArchivesAttachmentExample example);

    int updateByPrimaryKeySelective(GridCompanyLawArchivesAttachment record);

    int updateByPrimaryKey(GridCompanyLawArchivesAttachment record);
}